
Installer - Refactor #27371

Move Installer hook helpers to Kafo where they make sense

07/22/2019 03:55 PM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In a few places the foreman-installer has hooks that should be core functionality in Kafo. All hooks should be evaluated and moved

where they make sense.

Subtasks:

Refactor # 29806: Move param_value to Kafo Duplicate

Refactor # 29807: Add new install detection to Kafo New

Related issues:

Related to Kafo - Feature #29112: Add hook extension function for checking ka... New

Related to Installer - Tracker #29746: Merge hooks/ and katello/hooks into a ... Closed

Blocked by Kafo - Feature #23332: Add param_value to HookContext New 04/19/2018

Blocked by Kafo - Feature #29811: Add execute helpers to hooks New

Blocked by Kafo - Refactor #29810: Add log_and_say as a hook method New

Blocked by Kafo - Refactor #29808: Add a hook context method to ensure a pack... New

Blocked by Kafo - Refactor #29809: Add fail_and_exit to Kafo hook context New

History

#1 - 05/14/2020 01:13 AM - Eric Helms

- Blocks Tracker #29746: Merge hooks/ and katello/hooks into a single directory structure added

#2 - 05/28/2020 12:41 PM - Eric Helms

- Blocked by Feature #23332: Add param_value to HookContext  added

#3 - 06/01/2020 12:01 PM - Eric Helms

- Related to Feature #29112: Add hook extension function for checking kafo exit status added

#4 - 06/04/2020 07:12 PM - Eric Helms

- Subject changed from Move Installer hooks to Kafo where they make sense to Move Installer hook helpers to Kafo where they make sense

#5 - 07/23/2020 11:59 AM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #29811: Add execute helpers to hooks added

#6 - 07/23/2020 12:01 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #29810: Add log_and_say as a hook method added

#7 - 07/23/2020 12:01 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Refactor #29810: Add log_and_say as a hook method)

#8 - 07/23/2020 12:02 PM - Ewoud Kohl van Wijngaarden

- Blocked by Refactor #29810: Add log_and_say as a hook method added
#9 - 07/23/2020 12:05 PM - Ewoud Kohl van Wijngaarden

- Blocked by Refactor #29808: Add a hook context method to ensure a package is installed added

#10 - 07/23/2020 12:05 PM - Ewoud Kohl van Wijngaarden

- Blocked by Refactor #29809: Add fail_and_exit to Kafo hook context added

#11 - 08/04/2022 07:48 PM - Ewoud Kohl van Wijngaarden

- Blocks deleted (Tracker #29746: Merge hooks/ and katello/hooks into a single directory structure)

#12 - 08/04/2022 07:48 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #29746: Merge hooks/ and katello/hooks into a single directory structure added
